- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QXmlDefaultHandler Class Reference

Search for all occurrences

## Detailed Description

Definition at line 372 of file qxml.h.

`#include <qxml.h>`

Inheritance diagram for QXmlDefaultHandler:
[legend]

List of all members.

## Public Member Functions
| QXmlDefaultHandler ()
virtual | ~QXmlDefaultHandler ()
void | setDocumentLocator (QXmlLocator *locator)
bool | startDocument ()
bool | endDocument ()
bool | startPrefixMapping (const QString &prefix, const QString &uri)
bool | endPrefixMapping (const QString &prefix)
bool | startElement (const QString &namespaceURI, const QString &localName, const QString &qName, const QXmlAttributes &atts)
bool | endElement (const QString &namespaceURI, const QString &localName, const QString &qName)
bool | characters (const QString &ch)
bool | ignorableWhitespace (const QString &ch)
bool | processingInstruction (const QString &target, const QString &data)
bool | skippedEntity (const QString &name)
bool | warning (const QXmlParseException &exception)
bool | error (const QXmlParseException &exception)
bool | fatalError (const QXmlParseException &exception)
bool | notationDecl (const QString &name, const QString &publicId, const QString &systemId)
bool | unparsedEntityDecl (const QString &name, const QString &publicId, const QString &systemId, const QString &notationName)
bool | resolveEntity (const QString &publicId, const QString &systemId, QXmlInputSource *&ret)
bool | startDTD (const QString &name, const QString &publicId, const QString &systemId)
bool | endDTD ()
bool | startEntity (const QString &name)
bool | endEntity (const QString &name)
bool | startCDATA ()
bool | endCDATA ()
bool | comment (const QString &ch)
bool | attributeDecl (const QString &eName, const QString &aName, const QString &type, const QString &valueDefault, const QString &value)
bool | internalEntityDecl (const QString &name, const QString &value)
bool | externalEntityDecl (const QString &name, const QString &publicId, const QString &systemId)
QString | errorString () const

## Constructor & Destructor Documentation

QXmlDefaultHandler | ( |  | ) | `[inline]`

Definition at line 375 of file qxml.h.

    { }

virtual ~QXmlDefaultHandler | ( |  | ) | `[inline, virtual]`

Definition at line 376 of file qxml.h.

    { }

## Member Function Documentation

void setDocumentLocator | ( | QXmlLocator * | locator | ) | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool startDocument | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool endDocument | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool startPrefixMapping | ( | const QString & | prefix,
|  | const QString & | uri
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool endPrefixMapping | ( | const QString & | prefix | ) | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool startElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName,
|  | const QXmlAttributes & | atts
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool endElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool characters | ( | const QString & | ch | ) | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool ignorableWhitespace | ( | const QString & | ch | ) | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool processingInstruction | ( | const QString & | target,
|  | const QString & | data
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool skippedEntity | ( | const QString & | name | ) | `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

bool warning | ( | const QXmlParseException & | exception | ) | `[virtual]`

Search for all occurrences

Implements QXmlErrorHandler.

bool error | ( | const QXmlParseException & | exception | ) | `[virtual]`

Search for all occurrences

Implements QXmlErrorHandler.

bool fatalError | ( | const QXmlParseException & | exception | ) | `[virtual]`

Search for all occurrences

Implements QXmlErrorHandler.

bool notationDecl | ( | const QString & | name,
|  | const QString & | publicId,
|  | const QString & | systemId
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlDTDHandler.

bool unparsedEntityDecl | ( | const QString & | name,
|  | const QString & | publicId,
|  | const QString & | systemId,
|  | const QString & | notationName
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlDTDHandler.

bool resolveEntity | ( | const QString & | publicId,
|  | const QString & | systemId,
|  | QXmlInputSource *& | ret
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlEntityResolver.

bool startDTD | ( | const QString & | name,
|  | const QString & | publicId,
|  | const QString & | systemId
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlLexicalHandler.

bool endDTD | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QXmlLexicalHandler.

bool startEntity | ( | const QString & | name | ) | `[virtual]`

Search for all occurrences

Implements QXmlLexicalHandler.

bool endEntity | ( | const QString & | name | ) | `[virtual]`

Search for all occurrences

Implements QXmlLexicalHandler.

bool startCDATA | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QXmlLexicalHandler.

bool endCDATA | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QXmlLexicalHandler.

bool comment | ( | const QString & | ch | ) | `[virtual]`

Search for all occurrences

Implements QXmlLexicalHandler.

bool attributeDecl | ( | const QString & | eName,
|  | const QString & | aName,
|  | const QString & | type,
|  | const QString & | valueDefault,
|  | const QString & | value
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlDeclHandler.

bool internalEntityDecl | ( | const QString & | name,
|  | const QString & | value
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlDeclHandler.

bool externalEntityDecl | ( | const QString & | name,
|  | const QString & | publicId,
|  | const QString & | systemId
| ) |  | `[virtual]`

Search for all occurrences

Implements QXmlDeclHandler.

QString errorString | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QXmlContentHandler.

The documentation for this class was generated from the following file:

- QtXml/qxml.h

QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler
QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler QXmlDefaultHandler